- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 062c9b7e-38ac-41cd-950e-a8f0ff3db9fe
    creation_time: 2023-02-17T13:42:52.832550Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5ff73d57-73e2-4dff-b329-b2002bf33c3c
    creation_time: 2023-02-17T13:42:52.833029Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 35
    column: 0
    function: main
  location_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3379d01a-e3b7-47c9-a7e6-bb7bc61f5a76
    creation_time: 2023-02-17T13:42:52.833124Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bb8098b4-2f65-4263-b11c-af62f516c0fc
    creation_time: 2023-02-17T13:42:52.833248Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 40
    column: 0
    function: main
  location_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e32fd02d-b03b-48c0-aa18-afcde3d37c8a
    creation_time: 2023-02-17T13:42:52.833337Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 45d90e65-73b2-40e4-bbe3-e8b84a7e88f2
    creation_time: 2023-02-17T13:42:52.833457Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 48
    column: 0
    function: main
  location_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7469b205-f162-4b01-9492-ac7df7c5588d
    creation_time: 2023-02-17T13:42:52.833546Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/fermat1-ll.c
      input_file_hashes:
        c/nla-digbench/fermat1-ll.c: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/fermat1-ll.c
    file_hash: c5787d4099664297951b30a30ca371dd536df07843738ed8698fe723430a974c
    line: 56
    column: 0
    function: main
  location_invariant:
    string: 4 * A == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

